com.google.cloud.spanner.jdbc

## Class JdbcConstants

- java.lang.Object
- - com.google.cloud.spanner.jdbc.JdbcConstants

    public final class JdbcConstants
    extends Object

Constants for special values used by the Cloud Spanner JDBC driver.

### Field Summary

Fields
`static int` `STATEMENT_NO_RESULT` Special value that is used to indicate that a statement had no result.
`static int` `STATEMENT_RESULT_SET` Special value that is used to indicate that a statement returned a `ResultSet`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATEMENT_RESULT_SET

    public static final int STATEMENT_RESULT_SET

Special value that is used to indicate that a statement returned a `ResultSet`. The method `Statement.getUpdateCount()` will return this value if the previous statement that was executed with `Statement.execute(String)` returned a `ResultSet`.

See Also:
  Constant Field Values

#### STATEMENT_NO_RESULT

    public static final int STATEMENT_NO_RESULT

Special value that is used to indicate that a statement had no result. The method `Statement.getUpdateCount()` will return this value if the previous statement that was executed with `Statement.execute(String)` returned `StatementResult.ResultType.NO_RESULT`, such as DDL statements `StatementResult.ResultType`.

See Also:
  Constant Field Values